Skip to main content

private/otc/request-quote (RFQ)

POST 

/private/otc/request-quote

Create a quote request (RFQ flow).

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/otc/request-quote"

    params objectrequired
    cl_quote_req_id stringrequired

    Client provided ID for the quote request. Should be unique per ACTIVE quote request. Accepted characters a-z, A-Z, 0-9, _, -

    firm_quote boolean

    FALSE indicates the quoted price subject to changes. TRUE indicates the quoted price is guaranteed.

    FALSE / TRUE (default to FALSE)

    settlement_arrangement string

    Possible values: [IMMEDIATE, T1]

    Default value: IMMEDIATE

    IMMEDIATE can only be used by non settle later account. T1 can only be used by settle later account.

    duration string

    Possible values: [5000, 10000, 30000, 60000, 300000, 600000]

    Default value: 10000

    Quote request goes from ACTIVE to COMPLETED after this duration (in millisecond).

    quote_ttl string

    Possible values: [4000, 5000]

    Default value: 4000

    The minimum time the quotes remains valid (in millisecond).

    leg_list object[]required
    Legs of the quote request.
  • Array [
  • instrument_name stringrequired

    Instrument for this leg, e.g. BTC_USD

    side stringrequired

    Possible values: [BUY, SELL]

    BUY or SELL

    quantity decimal

    Quantity for this leg. Either quantity or notional must be provided but not both.

    notional decimal

    Notional for this leg. Either quantity or notional must be provided but not both.

  • ]
Success.
Schema
    id int64

    Echoed request id

    method stringrequired

    Method invoked

    code int32required

    0 = success; non-zero indicates error (reason code).

    result objectrequired
    Present when code === 0. subscription user.otc_qr.requests, channel user.otc_qr.requests.
    subscription stringrequired

    Should be user.otc_qr.requests

    channel stringrequired

    Should be user.otc_qr.requests

    data object[]
    Quote request data items.
  • Array [
  • quote_req_id stringrequired

    System generated unique ID for the quote request

    cl_quote_req_id stringrequired

    Client provided ID for the quote request

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.